Reports (KMD/VD/OSS, Income Statement)
Reports use exactly the same calculation logic as the panel. KMD (käibedeklaratsioon) is generated against the official e-MTA XSD and validated against real e-MTA samples; a human-readable KMD PDF is also available. The income statement follows Estonian Scheme 1.
Endpoints
GET
/reports/estoniaScope: read:reportstype=kmd|vd|oss · year, month (kmd/vd) or quarter (oss) · format=xml|pdf (pdf for kmd only).
Example request
curl -H "Authorization: Bearer $API_KEY" \
"https://corpenza.com/api/external/accounting/reports/estonia?type=kmd&year=2026&month=5" -o KMD-05-2026.xmlGET
/reports/income-statementScope: read:reportsfromYear/fromMonth..toYear/toMonth range · format=json|pdf · a 'Total' column is added for >1 month.
Example request
curl -H "Authorization: Bearer $API_KEY" \
"https://corpenza.com/api/external/accounting/reports/income-statement?fromYear=2026&fromMonth=1&toYear=2026&toMonth=6&format=pdf" \
-o income-statement.pdf